*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Dosis', sans-serif;
}

body{
    background-color: #1e1e1e;
    color: #fff;
}

html{
    scroll-behavior: smooth;
}

#header{
    width: 100%;
    height: 100vh;
    background-image: url(images/background.jpg);
    background-size: cover;
    background-position: center;
}

.green{
    color: #1fdc4e;
}

.nav-background{
    background-color: rgba(0, 0, 0, 0.846);
}

.container{
    padding: 10px 10%;
}

nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}
.logo{
    width: 140px;
}

nav ul li{
    display: inline-block;
    list-style: none;
    margin: 10px 20px;
}

nav ul li a{
    color: #fff;
    text-decoration: none;
    font-size: 18px;
    position: relative;
}

nav ul li a::after{
    content: '';
    width: 0;
    height: 3px;
    background: #0d7f19;
    position: absolute;
    left: 0;
    bottom: -6px;
    transition: 0.2s;
}

nav ul li a:hover::after{
    width: 100%;
}

.header-text{
    margin-top: 20%;
    margin-left: 10%;
    font-size: 30px;

}

.header-text h1{
    font-size: 60px;
    margin-top: 20px;
}

/********About*********/

#about{
    padding: 80px 0;
    color: #ababab;
}

.row{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.about-col-1{
    flex-basis: 35%;
}

.about-col-1 img{
    width: 90%;
    border-radius: 50%;
}

.about-col-2{
    flex-basis: 60%;
    font-size: 18px;
}

.sub-title{
    font-size: 40px;
    font-weight: 600;
    color: #fff;
}

/********Skills*********/
.skills-logos{
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    align-items: center;
    margin-top: 10px;
}

.skills-logos img{
    width: 100px;
    padding: 5px;
}

/********Projects*********/
#projects{
    padding: 50px 0;
}

.project-list{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    grid-gap: 40px;
    margin-top: 50px;
}

.project{
    border-radius: 10px;
    position: relative;
    overflow: hidden;
}

.project img{
    width: 100%;
    height: 100%;
    border-radius: 10px;
    display: block;
    transition: transform 0.3s;
}

.layer{
    width: 100%;
    height: 0;
    background: linear-gradient(rgba(0,0,0,0.6), #0d7f19);
    border-radius: 10px;
    position: absolute;
    left: 0;
    bottom: 0;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0 40px;
    text-align: center;
    font-size: 15px;
    transition: height 0.3s;
}

.layer h3{
    font-weight: 500;
    margin-bottom: 20px;
}

.layer a{
    margin: 20px 5px 0px 5px;
    color: #0d7f19;
    text-decoration: none;
    font-size: 18px;
    line-height: 60px;
    background: #fff;
    width: 60px;
    height: 60px;
    border-radius: 50%;
}

.project:hover img{
    transform: scale(1.05);
}

.project:hover .layer{
    height: 100%;
}

.btn{
    display: block;
    margin: 50px auto;
    width: fit-content;
    background-color: #0d7f19;
    padding: 14px 40px;
    border-radius: 6px;
    text-decoration: none;
    color: #fff;
    transition: background 0.5;
}

.btn:hover{
    background: #179a38;
}

.link-buttons{
    display: flex;
    justify-content: space-around;
}

/********Contact*********/
.contact-left{
    flex-basis: 35%;
}
.contact-right{
    flex-basis: 60%;
}

.contact-left p{
    margin-top: 30px;
}

.contact-left p i{
    color: #0d7f19;
    margin-right: 15px;
    font-size: 25px;
    cursor: pointer;
}

.contact-left p a{
    text-decoration: none;
    color: #fff;
}

.social-icons{
    margin-top: 30px;
}

.social-icons a{
    text-decoration: none;
    font-size: 30px;
    margin-right: 15px;
    color: #ababab;
    transition: 0.2s;
}

.social-icons a:hover{
    color: #fff;
}

.btn.btn2{
    display: inline-block;
    background: #0d7f19;
    border: none;
}

.btn.btn2:hover{
    background: #179a38;
}

.contact-right form{
    width: 100%;
}

form input, form textarea{
    width: 100%;
    border: 0;
    outline: none;
    background: #404040;
    padding: 15px;
    margin: 15px 0;
    color: #fff;
    font-size: 18px;
    border-radius: 6px;
    resize: none;
}

form .btn2{
    padding: 14px 40px;
    font-size: 18px;
    margin-top: 20px;
    cursor: pointer;
}

.copyright{
    width: 100%;
    text-align: center;
    padding: 25px 0;
    background-color: #404040;
    font-weight: 300;
    margin-top: 50px;
    margin-bottom: -100px;
    position: relative;
}

#msg{
    color: #0d7f19;
    margin-top: -10px;
    display: block;
}



/********Responsive*********/
nav .menu{
    display: none;
}

@media only screen and (max-width: 600px) {
    .header-text{
        margin-top: 70%;
        font-size: 16px;
    }

    .header-text h1{
        font-size: 30px;
    }

    nav .menu{
        display: block;
        font-size: 25px;
    }

    nav ul{
        background: #404040;
        position: fixed;
        top: 0;
        right: -200px;
        width: 200px;
        height: 100vh;
        padding-top: 50px;
        z-index: 2;
        transition: right 0.3s;
    }

    nav ul li{
        display: block;
        margin: 25px;
    }

    nav ul .menu{
        position: absolute;
        top: 25px;
        left: 25px;
        cursor: pointer;
    }

    .sub-title{
        font-size: 30px;
    }
    .about-col-1, .about-col-2{
        flex-basis: 100%;
    }
    .about-col-1{
        margin-bottom: 30px;
    }
    .about-col-2{
        font-size: 16px;
    }
    .contact-left, .contact-right{
        flex-basis: 100%;
    }
    .copyright{
        font-size: 14px;
    }
    .skills-logos img{
        width: 70px;
        padding: 5px;
        margin: 5px;
    }
}

@media only screen and (min-width: 1350px){
    .about-col-2{
        font-size: 25px;
    }
}

